package org.jerrymouse.gaes.mavenPlugin.mojos.gae;

import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;
import org.jerrymouse.gaes.mavenPlugin.base.MojoBase;

public abstract class GaeMojo extends MojoBase {
	@Override
	public void execute() throws MojoExecutionException, MojoFailureException {
		gaeExecute();
	}

	@Override
	protected abstract void gaeExecute();

	@Override
	protected void normalExecute() {

	}

	@Override
	protected void hadoopExecute() {

	}

}
